Package org.jfree.layouting.renderer.model.table.cols

## Class TableColumn

- java.lang.Object
- - org.jfree.layouting.renderer.model.table.cols.TableColumn

-     public class TableColumn
      extends java.lang.Object

  A column definition. A column has an effective definedWidth, which corresponds with the computed definedWidth of the content. If that definedWidth gets greater than the initial definedWidth (the definedWidth that has been computed by the table at the beginning of the rendering), we entered the auto-mode. Once a column has been explicitly marked as validated, any attempt to redefine the computed sizes must fail. (This makes sure that the table stays in sync and does not get disordered if its rendered incrementally.) A column is constrained by three metrics: The Minimum ChunkSize defines the smallest non-breakable content item in the column. A column will always consume at least this space. (This is zero, if the column has overflow enabled.) The Maximum Box-Width is the size the content would consume, if there is infinite space available. Manual linebreaks are taken into account, but not automatic ones. If the column explicitly defines a width, the preferred size indicates that. If no preferred width is defined, the preferred size will be zero.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableColumn​(Border border, RenderLength definedWidth, boolean autoGenerated)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Border` | `getBorder​()` |
    `long` | `getComputedMaximumWidth​()` |
    `long` | `getComputedMinChunkSize​()` |
    `long` | `getComputedPreferredSize​()` |
    `RenderLength` | `getDefinedWidth​()` |
    `long` | `getEffectiveCellPosition​()` |
    `long` | `getEffectiveSize​()` |
    `int` | `getMaxColspan​()` |
    `long` | `getMaximumBoxWidth​(int colspan)` |
    `long` | `getMinimumChunkSize​(int colspan)` |
    `long` | `getPreferredWidth​(int colspan)` |
    `boolean` | `isAutoGenerated​()` |
    `boolean` | `isValidated​()` |
    `void` | `setComputedMaximumWidth​(long computedMaximumWidth)` |
    `void` | `setComputedMinChunkSize​(long computedMinChunkSize)` |
    `void` | `setComputedPreferredSize​(long computedPreferredSize)` |
    `void` | `setEffectiveCellPosition​(long effectiveCellPosition)` |
    `void` | `setEffectiveSize​(long effectiveSize)` |
    `void` | `setValidated​(boolean validated)` |
    `void` | `updateMaxBoxSize​(int colspan, long colSize)` |
    `void` | `updateMinimumChunkSize​(int colspan, long chunkSize)` |
    `void` | `updatePreferredSize​(int colspan, long colSize)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableColumn

          public TableColumn​(Border border,
                             RenderLength definedWidth,
                             boolean autoGenerated)

  - ### Method Detail

    - #### getDefinedWidth

          public RenderLength getDefinedWidth​()

    - #### getBorder

          public Border getBorder​()

    - #### getComputedPreferredSize

          public long getComputedPreferredSize​()

    - #### setComputedPreferredSize

          public void setComputedPreferredSize​(long computedPreferredSize)

    - #### getComputedMinChunkSize

          public long getComputedMinChunkSize​()

    - #### setComputedMinChunkSize

          public void setComputedMinChunkSize​(long computedMinChunkSize)

    - #### getComputedMaximumWidth

          public long getComputedMaximumWidth​()

    - #### setComputedMaximumWidth

          public void setComputedMaximumWidth​(long computedMaximumWidth)

    - #### getEffectiveSize

          public long getEffectiveSize​()

    - #### setEffectiveSize

          public void setEffectiveSize​(long effectiveSize)

    - #### isValidated

          public boolean isValidated​()

    - #### setValidated

          public void setValidated​(boolean validated)

    - #### isAutoGenerated

          public boolean isAutoGenerated​()

    - #### getMinimumChunkSize

          public long getMinimumChunkSize​(int colspan)

    - #### getMaximumBoxWidth

          public long getMaximumBoxWidth​(int colspan)

    - #### getPreferredWidth

          public long getPreferredWidth​(int colspan)

    - #### updateMinimumChunkSize

          public void updateMinimumChunkSize​(int colspan,
                                             long chunkSize)

    - #### updateMaxBoxSize

          public void updateMaxBoxSize​(int colspan,
                                       long colSize)

    - #### updatePreferredSize

          public void updatePreferredSize​(int colspan,
                                          long colSize)

    - #### getMaxColspan

          public int getMaxColspan​()

    - #### getEffectiveCellPosition

          public long getEffectiveCellPosition​()

    - #### setEffectiveCellPosition

          public void setEffectiveCellPosition​(long effectiveCellPosition)